Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.manager
Interface RuleSetArchive

All Superinterfaces
  Serializable

    public interface RuleSetArchive

extends Serializable

Interface that defines a rule set packaged for deployment. Use the `DeploymentFactory` to create instances that implement this interface.

See Also
  `DeploymentFactory`, `RulesManager`

Method Summary
`String` | `getRuleSet()` Returns the packaged rule set expressed as an XML string.
`String` | `getUri()` Returns the URI for the packaged rule set.
`void` | `setRuleSet(String xml)` Set the XML string for the packaged rule set.
`void` | `setUri(String uri)` Set the URI for the packaged rule set.

Method Detail

### getUri

    String getUri()

  Returns the URI for the packaged rule set. The URI uniquely identifies the rule set.

  Returns
    the rule set URI.

### setUri

    void setUri(String uri)

  Set the URI for the packaged rule set. The URI uniquely identifies the rule set.

  Parameters
    `uri` - the rule set URI.

### getRuleSet

    String getRuleSet()

  Returns the packaged rule set expressed as an XML string. The XML string must conform to one of the rule set XML Schemas.

  Returns
    the rule set XML string.

### setRuleSet

    void setRuleSet(String xml)

  Set the XML string for the packaged rule set. The XML string must conform to one of the rule set XML Schemas.

  Parameters
    `xml` - the rule set XML string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.